Bug 245532 - the virt-install failed to define the guest domain
the virt-install failed to define the guest domain
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 03:37 EDT by Saori Fukuta
Modified: 2008-04-04 12:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: x
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 12:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saori Fukuta 2007-06-25 03:37:31 EDT
Description of problem:
  We can not install the guest domain because the virt-install command
  failed to define the guest domain with the unstable of xen.
  
  This is the stderr message:
  # virt-install --paravirt --name PV_lin1 --ram 512 --file /dev/sda5 --bridge 
eth0 --location ftp://10.131.236.20/rhel5ga_x86/ --vnc
  
  Starting install...
  libvir: Xen Daemon error : GET operation failed: 
  Retrieving Fedora...                                               0 B 00:00 
  Retrieving vmlinuz...     100% |=========================| 2.0 MB    
00:00     
  Retrieving initrd.img...  100% |=========================| 4.7 MB    
00:00     
  libvir: Xen Daemon error : GET operation failed: 
  Creating domain...                                                 0 B 00:01 
  Unable to connect to graphical console; vncviewer not installed.  Please 
connect to localhost:5900
  libvir: Xen Daemon error : POST operation failed: (xend.err "Error creating 
domain: VM name 'PV_lin1' already 
  exists as domain 2")
  Failed to create inactive domain PV_lin1
  Domain installation may not have been
  successful.  If it was, you can restart your domain
  by running 'virsh start PV_lin1'; otherwise, please
  restart your installation.
  Mon, 25 Jun 2007 23:20:49 ERROR    virDomainDefineXML() failed POST 
operation failed: (xend.err "Error creating 
  domain: VM name 'PV_lin1' already exists as domain 2")
  Traceback (most recent call last):
    File "/usr/bin/virt-install", line 651, in <module>
      main()
    File "/usr/bin/virt-install", line 611, in main
      dom = guest.start_install(conscb,progresscb)
    File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 705, in 
start_install
      return self._do_install(consolecb, meter)
    File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 752, in 
_do_install
      self.conn.defineXML(boot_xml)
    File "/usr/lib/python2.5/site-packages/libvirt.py", line 519, in defineXML
      if ret is None:raise libvirtError('virDomainDefineXML() failed', 
conn=self)
  libvirtError: virDomainDefineXML() failed POST operation failed: 
(xend.err "Error creating domain: VM name 
  'PV_lin1' already exists as domain 2")

Version-Release number of selected component (if applicable):
  libvirt     : 0.2.3 (revision 1.599)
  virt-install: 0.103 (changeset 205)
  xen         : xen-unstable(changeset 15417)
  kernel-xen  : xen-unstable(changeset 15417)
  xen-libs    : xen-unstable(changeset 15417)

How reproducible:
  Always

Steps to Reproduce:
  1. use the virt-install to install the guest
  # virt-install --paravirt --name ...
  
Actual results:
  We can not install the guest domain with virt-install.

Expected results:
  We can install the guest domain with virt-install.

Additional info:
  This problem seems to be caused by defining the guest domain
  because the xm new command failed when I did following operation.
  
  1. start the guest domain
  # xm start XXX
  
  2. define the guest domain
  # xm new -F test.sxp 
  Error: VM name 'XXX' already exists as domain 2
Comment 1 Daniel Veillard 2007-06-25 03:42:17 EDT
What version of xen are you running exactly there ? "the unstable of xen"
is not precise at all, please explain.

Daniel
Comment 2 Daniel Veillard 2007-06-25 03:43:51 EDT
I see xen-unstable(changeset 15417) . Do you have the problem with one
of the packages released as part of fedora too ?

Daniel
Comment 3 Saori Fukuta 2007-06-25 03:50:07 EDT
Hi,

This problem did not occur with one of the packages released as part of fedora.
I can only see that with unstable of xen.

Thanks,
Saori
Comment 4 Daniel Berrange 2008-04-04 12:07:14 EDT
Current python-virtinst correctly checks for clashing VM names.

Note You need to log in before you can comment on or make changes to this bug.